xcb_set_screen_saver(3)

NAME
xcb_set_screen_saver -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_set_screen_saver(xcb_connection_t *conn, int16_t timeout, int16_t interval, uint8_t prefer_blanking, uint8_t allow_exposures);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

timeout
    TODO: NOT YET DOCUMENTED.

interval
    TODO: NOT YET DOCUMENTED.

prefer_blanking
    One of the following values:

    XCB_BLANKING_NOT_PREFERRED
        TODO: NOT YET DOCUMENTED.

    XCB_BLANKING_PREFERRED
        TODO: NOT YET DOCUMENTED.

    XCB_BLANKING_DEFAULT
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

allow_exposures
    One of the following values:

    XCB_EXPOSURES_NOT_ALLOWED
        TODO: NOT YET DOCUMENTED.

    XCB_EXPOSURES_ALLOWED
        TODO: NOT YET DOCUMENTED.

    XCB_EXPOSURES_DEFAULT
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_set_screen_saver_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.